## com.arsdigita.cms.webpage
Class Webpage

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.versioning.VersionedACSObject
                      com.arsdigita.cms.ContentItem
                          com.arsdigita.cms.ContentPage
                              com.arsdigita.cms.webpage.Webpage

All Implemented Interfaces:
  com.arsdigita.auditing.Audited, com.arsdigita.cms.CustomCopy

public class Webpage
extends com.arsdigita.cms.ContentPage

This content type represents a webpage.

Author:
  Tzu-Mainn Chen

Field Summary
`static String` `AUTHOR`
`static String` `AUTHOR_LAST_NAME`
`static String` `BASE_DATA_OBJECT_TYPE` Data object type for this domain object
`static String` `BODY`
`static String` `CREATOR`
`static String` `DESCRIPTION` PDL properties
`static String` `LAST_MOD_LOCAL`
`static String` `TYPE` Data object type for this domain object (for CMS compatibility)

Fields inherited from class com.arsdigita.cms.ContentPage
`LAUNCH_DATE, PAGES_IN_CATEGORY, PAGES_IN_FOLDER, QUERY_CATEGORY_ID, QUERY_PAGE, QUERY_ROOT_ID, QUERY_TYPE, SUMMARY, TITLE, versionId`

Fields inherited from class com.arsdigita.cms.ContentItem
`ANCESTORS, AUDITING, CHILDREN, CONTENT_SECTION, CONTENT_TYPE, DRAFT, DRAFT_VERSION, extraXMLGenerators, LANGUAGE, LIVE, NAME, PARENT, PENDING, VERSION, VERSIONS`

Fields inherited from class com.arsdigita.versioning.VersionedACSObject
`IS_DELETED, MASTER`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE`

Constructor Summary
`Webpage()`
`Webpage(BigDecimal id)`
`Webpage(com.arsdigita.persistence.DataObject obj)`
`Webpage(com.arsdigita.persistence.OID id)`
`Webpage(String type)`

Method Summary
`protected void` `beforeSave()`
`String` `getAuthor()`
`String` `getAuthorLastName()`
`String` `getBody()`
`com.arsdigita.kernel.User` `getCreator()`
`String` `getDescription()`
`String` `getImpliedAuthor()`
`Date` `getLastModifiedLocal()`
`com.arsdigita.cms.Folder.ItemCollection` `getWebpagesWithName(com.arsdigita.cms.Folder parentFolder, String name)`
`boolean` `isFile()`
`boolean` `isFolder()`
`boolean` `isRoot()`
`static Webpage` `retrieveWebpage(com.arsdigita.persistence.DataObject documentData)` Returns a document for the given data object.
`void` `setAuthor(String author)`
`void` `setBody(String body)`
`void` `setCategories(String[] catIDs)`
`void` `setCreator(com.arsdigita.kernel.User creator)`
`void` `setDescription(String description)`
`void` `setLastModifiedLocal(Date last)`
`void` `setTitle(String title)`
`URL` `toURL()`

Methods inherited from class com.arsdigita.cms.ContentPage
`getBaseDataObjectType, getContentBundle, getDisplayName, getLaunchDate, getPagesInSectionQuery, getPagesInSectionQuery, getPagesInSectionQuery, getPagesInSectionQuery, getSearchSummary, getTitle, setLaunchDate, setName, setPagesQueryParameters, setPagesQueryParameters`

Methods inherited from class com.arsdigita.cms.ContentItem

`addCategory, addPendingVersion, afterSave, assertDraft, assertLive, assertMaster, assertPending, beforeDelete, canPublishToFS, copy, copy, copyProperty, copyProperty, copyServices, copyServicesFrom, createLiveVersion, createPendingVersion, get, getCategories, getCategoryCollection, getChildren, getContentSection, getContentType, getCreationDate, getCreationIP, getCreationUser, getDraftVersion, getExtraXMLGenerators, getLanguage, getLastModifiedDate, getLastModifiedIP, getLastModifiedUser, getLifecycle, getLiveVersion, getLocale, getName, getParent, getPath, getPathInfo, getPathInfo, getPathNoJsp, getPendingVersions, getPublicVersion, getPublishListenerClassName, getVersion, getWorkingVersion, initialize, isDraftVersion, isLive, isLiveVersion, isPendingVersion, isPublished, makeCopy, promotePendingVersion, publish, publishToFS, removeCategory, removeLifecycle, removePendingVersion, republish, set, setContentSection, setContentType, setDefaultCategory, setLanguage, setLifecycle, setLive, setLiveVersion, setParent, setVersion, setVersionRecursively, unpublish, unpublishFromFS`

Methods inherited from class com.arsdigita.versioning.VersionedACSObject
`applyTag, applyUniqueTag, autoPropagateMaster, getMaster, getRolledBackTo, getTransactions, getTransactions, isMaster, isRolledBack, isSubtype, permanentlyDelete, propagateMaster, recordAttributeChange, rollBackTo, rollBackTo, rollForward, save, setMaster, trackChanges`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getContainer, getDefaultDomainClass, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, isContainerModified, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, clear, delete, disconnect, equals, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DESCRIPTION

    public static final String DESCRIPTION

  PDL properties

  See Also:
    Constant Field Values

### BODY

    public static final String BODY

See Also:
  Constant Field Values

### AUTHOR

    public static final String AUTHOR

See Also:
  Constant Field Values

### CREATOR

    public static final String CREATOR

See Also:
  Constant Field Values

### LAST_MOD_LOCAL

    public static final String LAST_MOD_LOCAL

See Also:
  Constant Field Values

### AUTHOR_LAST_NAME

    public static final String AUTHOR_LAST_NAME

See Also:
  Constant Field Values

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

  Data object type for this domain object

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  Data object type for this domain object (for CMS compatibility)

  See Also:
    Constant Field Values

Constructor Detail

### Webpage

    public Webpage()

### Webpage

    public Webpage(BigDecimal id)
            throws com.arsdigita.domain.DataObjectNotFoundException

### Webpage

    public Webpage(com.arsdigita.persistence.OID id)
            throws com.arsdigita.domain.DataObjectNotFoundException

### Webpage

    public Webpage(com.arsdigita.persistence.DataObject obj)

### Webpage

    public Webpage(String type)

Method Detail

### retrieveWebpage

    public static Webpage retrieveWebpage(com.arsdigita.persistence.DataObject documentData)

  Returns a document for the given data object. Use this method instead of the new Webpage(DataObject) method. This method uses the domain object factory to produce the appropriate document class.

  Parameters:
    `documentData` - the document `DataObject`
  Returns:
    the document for the given data object.

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getBody

    public String getBody()

### setBody

    public void setBody(String body)

### getCreator

    public com.arsdigita.kernel.User getCreator()

### setCreator

    public void setCreator(com.arsdigita.kernel.User creator)

### getLastModifiedLocal

    public Date getLastModifiedLocal()

### setLastModifiedLocal

    public void setLastModifiedLocal(Date last)

### getImpliedAuthor

    public String getImpliedAuthor()

### getAuthor

    public String getAuthor()

### setAuthor

    public void setAuthor(String author)

### getAuthorLastName

    public String getAuthorLastName()

### setTitle

    public void setTitle(String title)

### isFolder

    public boolean isFolder()

### isFile

    public boolean isFile()

### toURL

    public URL toURL()

### isRoot

    public boolean isRoot()

### beforeSave

    protected void beforeSave()

### setCategories

    public void setCategories(String[] catIDs)

### getWebpagesWithName

    public com.arsdigita.cms.Folder.ItemCollection getWebpagesWithName(com.arsdigita.cms.Folder parentFolder,
                                                                       String name)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC